Withdraw earned funds
curl --request POST \
--url https://api.darwin.so/api/v1/agents/{agentId}/billing/withdrawals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amountMinor": 2
}
'import requests
url = "https://api.darwin.so/api/v1/agents/{agentId}/billing/withdrawals"
payload = { "amountMinor": 2 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amountMinor: 2})
};
fetch('https://api.darwin.so/api/v1/agents/{agentId}/billing/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"withdrawalAmountMinor": 2,
"providerFeeMinor": 1,
"payoutAmountMinor": 1,
"failureCode": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Billing
Withdraw earned funds
Withdraws settled earned funds using the selected payout speed. Promotional and card-funded wallet money cannot be withdrawn.
POST
/
agents
/
{agentId}
/
billing
/
withdrawals
Withdraw earned funds
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
Headers
A caller-generated key, unique to this operation and payload.
Required string length:
1 - 200Path Parameters
Body
application/json
Response
The submitted or existing idempotent withdrawal.
Available options:
submitted, completed, failed, reversed Required range:
x >= 1Required range:
x >= 0Required range:
x >= 0Available options:
standard, instant ⌘I